point displacement renderer crashes QGIS on Linux

2017-12-23 04:59 AM - Andrew McAninch

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.14 Regression?: No

Operating System: Linux mint 18.2 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25636

Description

I'm using the QGIS nightly release for ubuntugis repository on Linux Mint 18.2.  When I try to set the renderer style to point displacement

QGIS crashes.  I can set it up correctly in Windows but if I then try to open the project in Linux QGIS will crash while trying to load the

project.  I've tested with a couple different shapefiles and with plugins disabled and get the same behaviour.

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-11 12:24 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
